<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\AdressInfo\NewAdress;

class NewAdressView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'mitarbeiter/adressinfo/new_adress.sgt';
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->columns;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpColumn(
      $this->viewModel->toolSection,
      $this->viewModel->toolSettings,
      $this->viewModel->adress,
      true
    );
  }
}

class NewAdressViewModel
{
  public $adress;
  public $columns;
  public $toolSection;
  public $toolSettings;
}